Skip to main content
POST
/
treasury_accounts
/
{treasury_account_id}
/
transfers
Transfer between treasury accounts
curl --request POST \
  --url https://api.withacclaim.com/v1/treasury_accounts/{treasury_account_id}/transfers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destination_treasury_account_id": "tac_9TzQ1sLm2P",
  "amount": 250000,
  "reference": "<string>",
  "description": "<string>"
}
'
{
  "id": "tx_7n0QWb9vLa",
  "treasury_account_id": "tac_b0TrsSg91h",
  "type": "Commission",
  "amount": 50000,
  "currency": "USD",
  "source_id": "va_zb9C6lW9oE",
  "destination_id": "set_Tv0RGtQAWA",
  "reference": "<string>",
  "created_at": "2025-10-08T18:20:31Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

treasury_account_id
string
required

ID of the treasury account.

Body

application/json
destination_treasury_account_id
string
required

Treasury account to receive funds

Example:

"tac_9TzQ1sLm2P"

amount
integer
required

Amount in smallest currency unit

Example:

250000

reference
string

Optional client reference for reconciliation

description
string

Response

Transfer created.

id
string
Example:

"tx_7n0QWb9vLa"

treasury_account_id
string

ID of the treasury account

Example:

"tac_b0TrsSg91h"

type
enum<string>
Available options:
Commission,
Withdrawal,
Deposit,
Transfer,
Fee,
Adjustment,
Refund,
Payment
amount
integer

Amount in smallest currency unit

Example:

50000

currency
string
Example:

"USD"

source_id
string | null

The originating account for this transaction, if applicable.

Example:

"va_zb9C6lW9oE"

destination_id
string | null

The destination account for this transaction, if applicable.

Example:

"set_Tv0RGtQAWA"

reference
string | null

Client-supplied reference used for reconciliation.

created_at
string<date-time>
Example:

"2025-10-08T18:20:31Z"

Last modified on April 14, 2026